package com.mongo.test;

import java.util.ArrayList;

import com.mongodb.ReflectionDBObject;

public class Person extends ReflectionDBObject{
	private String firstName;
	private String lastName;
	private int age;
	private ArrayList<String> driversLicenses;
	
	@Override
	public String toString() {
		return ("[ " + lastName + ", " + firstName + ", "  + age + ", " + 
				(driversLicenses == null ? "no licenses" : driversLicenses.size() + " drivers licenses") + " ]");
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public ArrayList<String> getDriversLicenses() {
		return driversLicenses;
	}

	public void setDriversLicenses(ArrayList<String> driversLicenses) {
		this.driversLicenses = driversLicenses;
	}

}
