package com.mongo.test;

import com.mongodb.DBObject;
import com.mongodb.ReflectionDBObject;

public final class MongoDBDeserializer {
	
	public static <T extends ReflectionDBObject> T getObject(Class<T> c, DBObject dbo) {
		if (dbo == null)
			return null;
		try {
			T t = (T)c.newInstance();
			t.putAll(dbo.toMap());
			return t;
		} catch (Exception e) {
			return null;
		}
	}

}
